@import "../global";

@include define-section(rooms) {
    display: grid;
    gap: 1rem 1rem;
    place-items: start;
    place-content: start;
    grid-template-columns: 1fr;
    grid-template-rows: auto;

    padding: 1rem;

    > .info {
        @extend .generic-pop-over;
        background-color: #b8f3cc;
    }

    > .error {
        @extend .generic-pop-over;
        background-color: #f3b8b8;
    }

    .control-panel {
        @extend .generic-table-control-panel;
    }

    .rooms-table {
        @extend .generic-table;

        th {
            &:nth-child(1) {
                width: 1.5rem;
            }
        }
    }
}